!
! Module: lccorr_include
!
! Authors:  Ian Stewart - SSC/LUX
!          
! Description: Contains variables shared by more than 1 module.
! 
! NOTE! The present version is part of lccorr_pcms and is NOT compatible with lccorr.
! 
! $Id: lccorr_include.f90,v 1.2 2000/08/11 13:08:45 pvideler Exp $
!- 
module lccorr_include

!  use dal
use types
use dss
!  use caloaldefs ! for SpacecraftAttitudeType

!  use wcs_aux    ! for WcsT

  implicit none 

  public

  ! Command-line parameters:
!  real(single) ::&
!    specBinDiv
  real(double) ::&
    userSrcRaDeg=0.0d0,&
    userSrcDecDeg=0.0d0,&
    lowEnergyPsfEnergyFrac=0.0d0,&
    userSrcRegionArea=0.0d0,&
    userBkgRegionArea=0.0d0
!  integer(int16) ::&
!    numRBspecRows
  logical ::&
    withBkgTsSet=.false.,&
!    withSrcSpecSet,&
!    withBkgSpecSet,&
!    rebinSpec,&
    treatVignet=.false.,&
    treatFilterTrans=.false.,&
    treatQuantumEff=.false.,&
    treatGti=.false.,&
    treatCosmicRays=.false.,&
    treatDeadTime=.false.,&
    treatAlias=.false.,&
    applyCorrections=.false.,&
!    treatOotes,&
    subtractBkg=.false.,&
    withBkgNode1=.false.,&
    withSrcNode1=.false.
  character(len=256) ::&
    srcTsSetName='',&
    eventSetName='',&
    bkgTsSetName='',&
!    srcSpecSetName,&
!    bkgSpecSetName,&
!    srcImgSetName,&
!    bkgImgSetName,&
    outSetName='',&
    tempOutSetName='',&
    srcPositionSetName='',&
    srcRegionTabName='',&
    bkgRegionTabName='',&
    tempEventListSetName=''
  character(len=20) ::&
!    rebinSpecMode,&
    srcPositionStyle='',&
    srcWeightStyle='',&
    bkgWeightStyle='',&
    srcWeightDeductionStyle=''
  real(single), allocatable ::&
    userSrcWeightListNode0(:),&
    userBkgWeightListNode0(:),&
    userSrcWeightListNode1(:),&
    userBkgWeightListNode1(:)

character(10) ::&
  flagMaskHexStr=''
integer(int32) ::&
  patternLo=0,&
  patternHi=0,&
  flagMask=0,&
  numUserEeVRanges=0,&
  numGtiTabs=0,&
  rawYLo=0
type(RangeT), allocatable ::&
  userEeVRanges(:)
logical ::&
  withNode1=.false.,&
  withGtis=.false.
character(256), allocatable ::&
  userGtiSetTabNames(:,:)

!.................
! Global parameters:

  integer(int16), parameter ::&
    numMicropixelDivs = 5 ! used in call to calcCcdExpMap.
  logical(bool), parameter ::&
    pleaseCorrectDither = .true. ! used in call to calcCcdExpMap.
  integer(int32), parameter ::&
    numEsamples = 50, numThetaSamples = 50, numPhiSamples = 36

!.................
! Global variables:

  integer ::&
    numCanonicalPatterns = -1
  integer(int16) ::&
    chipMinRawX=-1,&
    chipMaxRawX=-1,&
    chipMinRawY=-1,&
    chipMaxRawY=-1			! set within miscSetups()
  integer(int32) ::&
    instrumentId = -1

  private dummy
 
contains 

  !---------------------------------------------------------------------
  subroutine dummy
  !---------------------------------------------------------------------

    implicit none 

    !-------------------------------------------------------------------
    ! Start:

  end subroutine dummy

end module lccorr_include






